@media (max-width: 1199px) {
  /* body {
    padding-top: 3.1em;
  } */
  .wrap {
    max-width: 100vw;
    padding: 1em;
  }
  .header {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    grid-template-columns: 1fr min-content min-content;
    z-index: 10;
    box-shadow: 0 3px 1px -2px rgb(0 0 0 / 14%), 0 2px 2px 0 rgb(0 0 0 / 10%),
      0 1px 5px 0 rgb(0 0 0 / 8%);
    grid-row-gap: 0;
  }
  .headerNav {
    grid-row: 2;
    grid-column: 1 / span 2;
    display: none;
    grid-auto-flow: row;
    width: 100%;
    padding: 2em 0 1em 0;
  }
  .headerBtn {
    display: block;
  }

  .widgetsContainer {
    grid-template-columns: 1fr;
  }

  .formLineMultiInputContainer {
    grid-auto-flow: row;
  }

  /* Widgets Adjustments for Responsive Layout */
  .contenitoreWidget {
    max-width: 100%;
  }
  .contenutoWidget {
    display: block;
    gap: 20px;
  }
  .widgetNumero {
    flex: 1 1 100%;
    max-width: 100%;
    margin: 15px auto;
  }
  .grigliaWidget {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
  }

  /* Dropdown Menu Adjustments */
  .intestazioneWidget {
    height: auto;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
  }
  .intestazioneWidget select {
    position: static;
    transform: none;
    margin-top: 5px;
    width: 100%;
  }

  /* Tabs Container Adjustments */
  .tabsContainer {
    flex-direction: column;
  }
  .graficoRealtime {
    flex: 0 0 100%;
    max-width: 100%;
  }
}

@media (max-width: 800px) {
  .wrap {
    max-width: 100vw;
  }

  .formLine {
    grid-template-columns: 1fr;
  }

  .widgetContent canvas {
    max-width: 82vw;
  }

  /* Widget Layout Adjustments */
  .grigliaWidget {
    grid-template-columns: 1fr;
    gap: 15px;
  }

  .elementoGriglia {
    padding: 10px;
    border-radius: 10px;
    font-size: 0.9em;
  }
}

@media (max-width: 600px) {
  .wrap {
    padding: 10px;
  }

  .widgetsColumns {
    grid-auto-flow: row;
  }

  /* Header Adjustments */
  .headerSection {
    flex-direction: column;
    gap: 20px;
  }

  .headerLeft,
  .headerRight {
    width: 100%;
  }

  .headerIntervallo {
    flex-direction: column;
    align-items: flex-start;
  }

  .headerIntervallo > label {
    margin-bottom: 5px;
  }

  /* Dropdown Menu Adjustments */
  #menuUtenze,
  #globalTimespan {
    width: 100%;
    padding: 8px;
    font-size: 0.9em;
  }

  /* Tabs Adjustments */
  .tabsHeader {
    flex-direction: column;
    gap: 10px;
  }

  .tabButton {
    width: 100%;
    text-align: center;
  }

  .tabsContainer {
    gap: 20px;
  }
}
